QUOTAON(8) | System Manager's Manual | QUOTAON(8)

# NAME

quotaon, quotaoff — turn filesystem quotas on and off

# SYNOPSIS

quotaon | [-g] [-u] [-v] filesystem ...

quotaon | [-g] [-u] [-v] -a

quotaoff | [-g] [-u] [-v] filesystem ...

quotaoff | [-g] [-u] [-v] -a

# DESCRIPTION

quotaon announces to the system that disk quotas should be enabled on one or more filesystems. quotaoff announces to the system that the specified filesystems should have any disk quotas turned off. The filesystems specified must have entries in /etc/fstab and be mounted. quotaon expects each filesystem to have quota files named quota.user and quota.group which are located at the root of the associated file system. These defaults may be overridden in /etc/fstab. By default both user and group quotas are enabled.

Available options:

-a
  If the -a flag is supplied in place of any filesystem names, quotaon/quotaoff will enable/disable all the filesystems indicated in /etc/fstab to be read-write with disk quotas. By default only the types of quotas listed in /etc/fstab are enabled.
-g
  Only group quotas listed in /etc/fstab should be enabled/disabled.
-u
  Only user quotas listed in /etc/fstab should be enabled/disabled.
-v
  Causes quotaon and quotaoff to print a message for each filesystem where quotas are turned on or off.

Specifying both -g and -u is equivalent to the default.

# FILES

quota.user
  at the filesystem root with user quotas
quota.group
  at the filesystem root with group quotas
/etc/fstab
  filesystem table

# SEE ALSO

quota(1), libquota(3), fstab(5), edquota(8), quotacheck(8), repquota(8)

# HISTORY

The quotaon command appeared in 4.2BSD.

December 11, 1993 | NetBSD 6.0